### Function

# PangoCairo.context_get_font_options

#### Declaration [src]

    const cairo_font_options_t*
    pango_cairo_context_get_font_options (
      PangoContext* context
    )

#### Description [src]

Retrieves any font rendering options previously set with `pango_cairo_context_set_font_options()`.

This function does not report options that are derived from the target surface by `pango_cairo_update_context()`.

#### Parameters

`context` | `PangoContext*`
| a `PangoContext`, from a pangocairo font map
| Ownership is not transferred to the callee

#### Return value

Returns: `const cairo_font_options_t*`
the font options previously set on the context, or `NULL` if no options have been set. This value is owned by the context and must not be modified or freed.
Ownership is not transferred to the caller
Can be `NULL`